%define upstream_name    Math-Prime-XS
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Detect and calculate prime numbers with deterministic tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(boolean)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl-devel

%description
'Math::Prime::XS' detects and calculates prime numbers by either applying
Modulo operator division, the Sieve of Eratosthenes, a Summation
calculation or Trial division.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml META.json INSTALL README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Wed Oct 10 2012 jquelin <jquelin> 0.260.0-1.mga3
+ Revision: 304313
- imported package perl-Math-Prime-XS


* Wed Oct 10 2012 cpan2dist 0.26-1mga
- initial mageia release, generated with cpan2dist
